summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Efros <powerman@powerman.name>2017-02-03 22:28:49 +0200
committerMichael Palimaka <kensington@gentoo.org>2017-02-12 23:01:12 +1100
commitf802519a22365239050919537ead12ff62224624 (patch)
tree6fb5510255f05c8b8259cefa2b02729619c21c67 /net-proxy
parentnet-proxy/3proxy: version bump to 0.8.8 (diff)
downloadgentoo-f802519a22365239050919537ead12ff62224624.tar.gz
gentoo-f802519a22365239050919537ead12ff62224624.tar.bz2
gentoo-f802519a22365239050919537ead12ff62224624.zip
net-proxy/3proxy: version bump to 0.8.9
Package-Manager: portage-2.3.3
Diffstat (limited to 'net-proxy')
-rw-r--r--net-proxy/3proxy/3proxy-0.8.9.ebuild40
-rw-r--r--net-proxy/3proxy/Manifest1
2 files changed, 41 insertions, 0 deletions
diff --git a/net-proxy/3proxy/3proxy-0.8.9.ebuild b/net-proxy/3proxy/3proxy-0.8.9.ebuild
new file mode 100644
index 00000000000..48f0da44a35
--- /dev/null
+++ b/net-proxy/3proxy/3proxy-0.8.9.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=6
+
+DESCRIPTION="A really tiny cross-platform proxy servers set"
+HOMEPAGE="http://www.3proxy.ru/"
+SRC_URI="https://github.com/z3APA3A/3proxy/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~ppc"
+IUSE=""
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.8.8-gentoo.patch
+)
+
+DOCS=( README cfg )
+HTML_DOCS=( doc/html/. )
+
+src_prepare() {
+ default
+ cp Makefile.Linux Makefile || die
+}
+
+src_install() {
+ local x
+
+ pushd src >/dev/null || die
+ dobin 3proxy
+ for x in proxy socks ftppr pop3p tcppm udppm mycrypt dighosts icqpr smtpp; do
+ newbin ${x} ${PN}-${x}
+ [[ -f "${S}"/man/${x}.8 ]] && newman "${S}"/man/${x}.8 ${PN}-${x}.8
+ done
+ popd >/dev/null
+
+ doman man/3proxy*.[38]
+
+ einstalldocs
+}
diff --git a/net-proxy/3proxy/Manifest b/net-proxy/3proxy/Manifest
index d9fa5d61e48..96926022a84 100644
--- a/net-proxy/3proxy/Manifest
+++ b/net-proxy/3proxy/Manifest
@@ -3,3 +3,4 @@ DIST 3proxy-0.7.1.2.tgz 478532 SHA256 e1157aab3ff8215a3b1f35c61a9d6011e60ad38b52
DIST 3proxy-0.7.1.4.tgz 478617 SHA256 905a080ea3ba45a522a2d871bfdda94168561f7dd81c01a4be3540eda8f6c98f SHA512 af361666ec6d53decee6a66f4ec5621e0bbaccfaae8f6cadd5c00c91a417916b2b1b97a660fd47566677c3343f603a45b92f085a48a26eaa429398938d29383a WHIRLPOOL 08ab0ff3a26bce973ffe0077bddc84f356c0c8f8e3a8c06faadb932b10f8c8fc7000d3aaf372bcfe6a2ffcfa4516b23dc3f10bc5509afd404af466d0f765f1d5
DIST 3proxy-0.8.6.tgz 508359 SHA256 7819237ce043465d887cb0b25d8594de932ed9a694a32a4e46b895ee55675fa2 SHA512 394fcf8f6d088543b2380ad6bf058d276caed29300df7de963895add788a867cab5860f6fc3f1279e10304db5b0ac147af232f9acd3986188bfa56ad2307aae4 WHIRLPOOL d1640a5d0765b3332263ed09e9349e470a5b8c5f57ba65b993cff6bb89d3818ee4da40193e7bdbcfec891810ffe05db02ae5ad25216e00613738e302c1880c88
DIST 3proxy-0.8.8.tar.gz 497039 SHA256 a614527db4056a29672362b6491378d74dbcc21433efa293d351d225d2cccf67 SHA512 ea35ae862f006428950264a673266cff016ad35f3fcbfc842438fef8b1f484c665cfdf30ad1346527c1b18d0c552e3f806416a73f5cc1d35fc1045e322ea4e3d WHIRLPOOL 13587ae2ac034a5342852b426b270eb32005675799ae9d42951b1f0b0944259abb342e748cbbba3bcdf77d3071779d0aca836aef12caa67f670c267f59663e40
+DIST 3proxy-0.8.9.tar.gz 497006 SHA256 6c06e5ba2267bb63f6ac3f1293949ff4ff4988fad88fedd3fe93a8b1ba1ff21f SHA512 35153882fec7077b05b23f9cea91443126a8a9faf9818915612e0739196a8bd1f00e0bcefb339a86bad10bb0c1b9891bd06847934787f4758ec55e6cc2e9e815 WHIRLPOOL 251c8c7a79d20d69ae53ac1613fbacf9107c39c72b7a9b22727f12c123503d9d241b5ff6bdbfa78454aa1696e83c3020199df1acbe3afd624ff494b5ca3ddf2e